org.apache.storm.generated

## Enum Supervisor.sendSupervisorAssignments_result._Fields

- java.lang.Object
- - java.lang.Enum<Supervisor.sendSupervisorAssignments_result._Fields>
  - - org.apache.storm.generated.Supervisor.sendSupervisorAssignments_result._Fields

- All Implemented Interfaces:
    Serializable, Comparable<Supervisor.sendSupervisorAssignments_result._Fields>, org.apache.storm.thrift.TFieldIdEnum
  Enclosing class:
    Supervisor.sendSupervisorAssignments_result

      public static enum Supervisor.sendSupervisorAssignments_result._Fields
      extends Enum<Supervisor.sendSupervisorAssignments_result._Fields>
      implements org.apache.storm.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Supervisor.sendSupervisorAssignments_result._Fields` | `findByName(String name)` Find the _Fields constant that matches name, or null if its not found.
    `static Supervisor.sendSupervisorAssignments_result._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static Supervisor.sendSupervisorAssignments_result._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static Supervisor.sendSupervisorAssignments_result._Fields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Supervisor.sendSupervisorAssignments_result._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AZE

          public static final Supervisor.sendSupervisorAssignments_result._Fields AZE

  - ### Method Detail

    - #### values

          public static Supervisor.sendSupervisorAssignments_result._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Supervisor.sendSupervisorAssignments_result._Fields c : Supervisor.sendSupervisorAssignments_result._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Supervisor.sendSupervisorAssignments_result._Fields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### findByThriftId

          public static Supervisor.sendSupervisorAssignments_result._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static Supervisor.sendSupervisorAssignments_result._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static Supervisor.sendSupervisorAssignments_result._Fields findByName(String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

    - #### getFieldName

          public String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`

Copyright © 2021 The Apache Software Foundation. All rights reserved.